Name:		kst
Version:	2.0.8
Release:	%mkrel 1
Summary:	Program for looking at data streams
License:	GPLv2+
Group:		Sciences/Other
Url:		http://kst.kde.org/
Source:		http://downloads.sourceforge.net/kst/Kst-%{version}.tar.xz
Patch0:		kst2.0.8-disable-last-value-option-in-ascii-reader-when-threa.patch
Patch1:		kst-2.0.8-gsl2.patch
Patch2:		kst-qreal.patch

BuildRequires:	qt4-devel
BuildRequires:	cfitsio-devel
BuildRequires:	netcdf-devel
BuildRequires:	gsl-devel
BuildRequires:	cmake

%description
kst is a program for looking at data streams. It can plot:
 - x-y plots
 - power spectra
 - histograms
 - equations (including equations of data streams). 
 - data in files which are being updated as data is being logged, in
    which case in can act as a plotter for a chart recorder.
 - much more
Kst supports realtime viewing and manipulation of streaming data.

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.so.*
%{_libdir}/kst2
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/kst
#--------------------------------------------------------------------

%prep
%setup -q -n Kst-%{version}
%apply_patches

%build

# update-alternatives --config qmake select 2 for qt4 qmake

# -Dkst_release=1 is to work around a compile error
%cmake \
  -Dkst_install_prefix=%{_prefix} \
  -Dkst_install_libdir=%{_lib} \
  -Dkst_rpath=OFF \
  -Dkst_verbose=ON \
  -Dkst_release=ON
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

rm -f %{buildroot}%{_libdir}/*.so \
      %{buildroot}%{_libdir}/*.a \
      %{buildroot}%{_datadir}/applnk/*/* \
      %{buildroot}%{_datadir}/mimelink/application/*.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Geosciences" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Sat Apr 08 2017 adrianomorselli <adrianomorselli> 2.0.8-1uplos2017
- build for gsl 2.3

